.footer-subscribe {
    display: flex;
    padding: 20px 0;
}

.footer-subscribe label {
    margin-bottom: 0;
    font-weight: 400;
    position: relative;
}

.footer-subscribe .footer-subscribe-title-icon {
    display: none;
    width: 39px;
    height: 20px;
    background-image: url(/assets/images/subscribe/envelope.svg)
}

.footer-subscribe a {
    color: inherit;
    border-bottom: 1px dotted white;
}

.footer-subscribe .footer-subscribe-form {
    display: flex;
    position: relative;
}

.footer-subscribe .footer-subscribe-form.has-error .footer-subscribe-form-label::before {
    content: '';
    width: 20px;
    height: 20px;
    display: block;
    position: absolute;
    right: 15px;
    top: 6px;
    background-image: url(/assets/images/subscribe/exclamation.svg);
    background-size: contain;
}

.footer-subscribe .footer-subscribe-form-input {
    width: 235px;
    margin-right: 10px;
}

.footer-subscribe .footer-subscribe-form.has-error .footer-subscribe-form-messages,
.footer-subscribe .footer-subscribe-form.has-message .footer-subscribe-form-messages {
    display: block;
    margin-bottom: 10px;
}

.footer-subscribe .footer-subscribe-form-error {
    color: #e30613;
}

.footer-subscribe .footer-subscribe-form-messages {
    top: 35px;
    left: 0;
    position: absolute;
    display: none;
}

.footer-subscribe .footer-subscribe-title {
    font-size: 16px;
    font-weight: 700;
    align-self: center;
    margin-right: 10px;
}

.footer-subscribe .footer-subscribe-title-text {
    width: 255px;
}

.footer-subscribe .form-subscribe-form-agreement {
    display: flex;
}

.footer-subscribe .form-subscribe-form-agreement-label {
    cursor: pointer;
    font-size: 13px;
    line-height: 13px;
    width: 300px;
    align-self: flex-end;
    margin-bottom: 0;
}

.footer-subscribe .form-subscribe-form-agreement-checkbox + .form-subscribe-form-agreement-label::before {
    content: '';
    height: 9px;
    width: 9px;
    display: inline-block;
    align-self: flex-end;
    background-color: transparent;
    margin-bottom: -2px;
    margin-right: 2px;
    border: 1px solid white;
    border-radius: 2px;
}

.footer-subscribe .footer-subscribe-form-label,
.footer-subscribe .footer-subscribe-form-input{
    box-sizing: border-box;
}

.footer-subscribe-form.has-error  .footer-subscribe-form-input::-ms-clear {
    padding-right: 15px;
}

.footer-subscribe .form-subscribe-form-agreement-checkbox:checked + .form-subscribe-form-agreement-label::after {
    content: "";
    position: absolute;
    top: 1px;
    left: 2px;
    width: 10px;
    height: 10px;
    background: url(/assets/images/subscribe/tick.svg) no-repeat;
}

.footer-subscribe .footer-subscribe-form-btn {
    margin-right: 10px;
    cursor: pointer;
    max-height: 33px;
}

@media only screen and (min-width: 639px) and (max-width: 999px) {

    .footer-subscribe .footer-subscribe-form {
        display: block;
    }

    .footer-subscribe .footer-subscribe-form-input {
        width: 230px;
        display: inline-block;
    }

    .footer-subscribe .footer-subscribe-title {
        align-self: flex-start;
        padding-top: 6px;
    }

    .footer-subscribe .form-subscribe-form-agreement {
        margin-top: 10px;
    }

    .footer-subscribe .footer-subscribe-form-messages {
        position: static;
    }
}

@media only screen and (max-width: 639px) {
    .footer-subscribe .footer-subscribe-form.has-error .footer-subscribe-form-label::before {
        right: 5px;
    }

    .footer-subscribe {
        flex-direction: column;
    }

    .footer-subscribe .footer-subscribe-form,
    .footer-subscribe .footer-subscribe-title-icon {
        display: block;
    }

    .footer-subscribe .footer-subscribe-title {
        position: relative;
        left: -10px;
        align-self: flex-start;
        margin-right: 10px;
        display: flex;
    }

    .footer-subscribe > *,
    .footer-subscribe .footer-subscribe-form > * {
        margin-bottom: 10px;
    }

    .footer-subscribe .footer-subscribe-form-label,
    .footer-subscribe .footer-subscribe-form-input{
        width: 100%;
    }

    .footer-subscribe .footer-subscribe-title-text {
        margin-left: 10px;
    }

    .footer-subscribe .footer-subscribe-form-btn {
        width: 160px;
    }

    .footer-subscribe .footer-subscribe-form-messages {
        position: static;
    }

}